/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.biz.interceptor;

import org.springframework.aop.support.RegexpMethodPointcutAdvisor;
import org.springframework.beans.factory.BeanFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 *
 * @author zhenxuan.luo
 * @version com.ruiyi.rdassist.biz.service.interceptor: BizServiceInceptorConfig.java, v 0.1 2019-01-07 PM19:42 zhenxuan.luo Exp $ 
 */
@Configuration
public class BizServiceInceptorConfig {
    
    @Autowired
    private BizServiceInterceptor bizServiceInterceptor;
    
    @Autowired
    private BeanFactory beanFactory;
    
    @Bean
    public RegexpMethodPointcutAdvisor bizServiceDigestAdvisor() {
        RegexpMethodPointcutAdvisor advisor = new RegexpMethodPointcutAdvisor();
        advisor.setPattern("com.abssqr.plat.biz.api.*Service.*");
        advisor.setAdvice(bizServiceInterceptor);
        return advisor;
    }
}