/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.biz.shared.scheduler.job;

import com.abssqr.plat.common.model.repo.job.JobControlRepository;
import com.abssqr.plat.core.service.host.HostManager;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 *
 * @author zhenxuan.luo
 * @version $Id: HostHeartJob.java, v 0.1 2017-06-30 上午02:00 zhenxuan.luo Exp $
 */
@Component
public class HostHeartJob{
    protected final Logger LOGGER = LoggerFactory.getLogger(getClass());
    @Autowired
    protected JobControlRepository jobControlRepository;
    @Autowired
    private HostManager hostManager;
    @Scheduled(cron="0/10 * *  * * ? ")
    public void heartBeat(){
            hostManager.sendHeartbeat();
    }
}
