package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;

/**
 * The table 通用任务
 */
public class CommonTaskDO{

    /**
     * id ID.
     */
    private Long id;
    /**
     * execTimes 执行次数.
     */
    private Long execTimes;
    /**
     * env 环境.
     */
    private String env;
    /**
     * memo 备注.
     */
    private String memo;
    /**
     * bizNo 业务编号.
     */
    private String bizNo;
    /**
     * context 上下文.
     */
    private String context;
    /**
     * lastHost 最近执行服务器.
     */
    private String lastHost;
    /**
     * taskType 任务类型.
     */
    private String taskType;
    /**
     * taskStatus 任务状态.
     */
    private String taskStatus;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * gmtModified 修改时间.
     */
    private Date gmtModified;
    /**
     * lastExecTime 最新执行时间.
     */
    private Date lastExecTime;
    /**
     * nextExecTime 下次执行时间.
     */
    private Date nextExecTime;

    /**
     * Set id ID.
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id ID.
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set execTimes 执行次数.
     */
    public void setExecTimes(Long execTimes){
        this.execTimes = execTimes;
    }

    /**
     * Get execTimes 执行次数.
     *
     * @return the string
     */
    public Long getExecTimes(){
        return execTimes;
    }

    /**
     * Set env 环境.
     */
    public void setEnv(String env){
        this.env = env;
    }

    /**
     * Get env 环境.
     *
     * @return the string
     */
    public String getEnv(){
        return env;
    }

    /**
     * Set memo 备注.
     */
    public void setMemo(String memo){
        this.memo = memo;
    }

    /**
     * Get memo 备注.
     *
     * @return the string
     */
    public String getMemo(){
        return memo;
    }

    /**
     * Set bizNo 业务编号.
     */
    public void setBizNo(String bizNo){
        this.bizNo = bizNo;
    }

    /**
     * Get bizNo 业务编号.
     *
     * @return the string
     */
    public String getBizNo(){
        return bizNo;
    }

    /**
     * Set context 上下文.
     */
    public void setContext(String context){
        this.context = context;
    }

    /**
     * Get context 上下文.
     *
     * @return the string
     */
    public String getContext(){
        return context;
    }

    /**
     * Set lastHost 最近执行服务器.
     */
    public void setLastHost(String lastHost){
        this.lastHost = lastHost;
    }

    /**
     * Get lastHost 最近执行服务器.
     *
     * @return the string
     */
    public String getLastHost(){
        return lastHost;
    }

    /**
     * Set taskType 任务类型.
     */
    public void setTaskType(String taskType){
        this.taskType = taskType;
    }

    /**
     * Get taskType 任务类型.
     *
     * @return the string
     */
    public String getTaskType(){
        return taskType;
    }

    /**
     * Set taskStatus 任务状态.
     */
    public void setTaskStatus(String taskStatus){
        this.taskStatus = taskStatus;
    }

    /**
     * Get taskStatus 任务状态.
     *
     * @return the string
     */
    public String getTaskStatus(){
        return taskStatus;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set gmtModified 修改时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 修改时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * Set lastExecTime 最新执行时间.
     */
    public void setLastExecTime(Date lastExecTime){
        this.lastExecTime = lastExecTime;
    }

    /**
     * Get lastExecTime 最新执行时间.
     *
     * @return the string
     */
    public Date getLastExecTime(){
        return lastExecTime;
    }

    /**
     * Set nextExecTime 下次执行时间.
     */
    public void setNextExecTime(Date nextExecTime){
        this.nextExecTime = nextExecTime;
    }

    /**
     * Get nextExecTime 下次执行时间.
     *
     * @return the string
     */
    public Date getNextExecTime(){
        return nextExecTime;
    }
}
