package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;
import java.math.BigDecimal;

/**
 * The table 投资结构
 */
public class PlanInvestStructureDO{

    /**
     * id .
     */
    private Long id;
    /**
     * layerAmt 层级规模.
     */
    private Long layerAmt;
    /**
     * planNo 计划编号.
     */
    private String planNo;
    /**
     * layerNo 编号.
     */
    private String layerNo;
    /**
     * intrType 利率类型  FLOATING("FLOATING", "浮动利率"),  FIXED("FIXED", "固定利率"),  NOTICKET("NOTICKET", "无票面利率")  .
     */
    private String intrType;
    /**
     * layerName 层次名称.
     */
    private String layerName;
    /**
     * layerType 层级类型.
     */
    private String layerType;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * effectDate 起息日.
     */
    private Date effectDate;
    /**
     * gmtModified 修改时间.
     */
    private Date gmtModified;
    /**
     * layerEndDate 到期日.
     */
    private Date layerEndDate;
    /**
     * layerIntr 层级利率.
     */
    private BigDecimal layerIntr;

    /**
     * Set id .
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id .
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set layerAmt 层级规模.
     */
    public void setLayerAmt(Long layerAmt){
        this.layerAmt = layerAmt;
    }

    /**
     * Get layerAmt 层级规模.
     *
     * @return the string
     */
    public Long getLayerAmt(){
        return layerAmt;
    }

    /**
     * Set planNo 计划编号.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 计划编号.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set layerNo 编号.
     */
    public void setLayerNo(String layerNo){
        this.layerNo = layerNo;
    }

    /**
     * Get layerNo 编号.
     *
     * @return the string
     */
    public String getLayerNo(){
        return layerNo;
    }

    /**
     * Set intrType 利率类型  FLOATING("FLOATING", "浮动利率"),  FIXED("FIXED", "固定利率"),  NOTICKET("NOTICKET", "无票面利率")  .
     */
    public void setIntrType(String intrType){
        this.intrType = intrType;
    }

    /**
     * Get intrType 利率类型  FLOATING("FLOATING", "浮动利率"),  FIXED("FIXED", "固定利率"),  NOTICKET("NOTICKET", "无票面利率")  .
     *
     * @return the string
     */
    public String getIntrType(){
        return intrType;
    }

    /**
     * Set layerName 层次名称.
     */
    public void setLayerName(String layerName){
        this.layerName = layerName;
    }

    /**
     * Get layerName 层次名称.
     *
     * @return the string
     */
    public String getLayerName(){
        return layerName;
    }

    /**
     * Set layerType 层级类型.
     */
    public void setLayerType(String layerType){
        this.layerType = layerType;
    }

    /**
     * Get layerType 层级类型.
     *
     * @return the string
     */
    public String getLayerType(){
        return layerType;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set effectDate 起息日.
     */
    public void setEffectDate(Date effectDate){
        this.effectDate = effectDate;
    }

    /**
     * Get effectDate 起息日.
     *
     * @return the string
     */
    public Date getEffectDate(){
        return effectDate;
    }

    /**
     * Set gmtModified 修改时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 修改时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * Set layerEndDate 到期日.
     */
    public void setLayerEndDate(Date layerEndDate){
        this.layerEndDate = layerEndDate;
    }

    /**
     * Get layerEndDate 到期日.
     *
     * @return the string
     */
    public Date getLayerEndDate(){
        return layerEndDate;
    }

    /**
     * Set layerIntr 层级利率.
     */
    public void setLayerIntr(BigDecimal layerIntr){
        this.layerIntr = layerIntr;
    }

    /**
     * Get layerIntr 层级利率.
     *
     * @return the string
     */
    public BigDecimal getLayerIntr(){
        return layerIntr;
    }
}
