package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;
import java.math.BigDecimal;

/**
 * The table ABS_PLAN_REPORT_ITEM_DEFAULT
 */
public class PlanReportItemDefaultDO{

    /**
     * id 主键.
     */
    private Long id;
    /**
     * astCnt 数量.
     */
    private Long astCnt;
    /**
     * rptNo 归属报表编号.
     */
    private String rptNo;
    /**
     * planNo 计划编号.
     */
    private String planNo;
    /**
     * rptItem 统计项.
     */
    private String rptItem;
    /**
     * rptItemName 统计项说明.
     */
    private String rptItemName;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * accountDate 统计会计日.
     */
    private Date accountDate;
    /**
     * amt 金额.
     */
    private BigDecimal amt;

    /**
     * Set id 主键.
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id 主键.
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set astCnt 数量.
     */
    public void setAstCnt(Long astCnt){
        this.astCnt = astCnt;
    }

    /**
     * Get astCnt 数量.
     *
     * @return the string
     */
    public Long getAstCnt(){
        return astCnt;
    }

    /**
     * Set rptNo 归属报表编号.
     */
    public void setRptNo(String rptNo){
        this.rptNo = rptNo;
    }

    /**
     * Get rptNo 归属报表编号.
     *
     * @return the string
     */
    public String getRptNo(){
        return rptNo;
    }

    /**
     * Set planNo 计划编号.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 计划编号.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set rptItem 统计项.
     */
    public void setRptItem(String rptItem){
        this.rptItem = rptItem;
    }

    /**
     * Get rptItem 统计项.
     *
     * @return the string
     */
    public String getRptItem(){
        return rptItem;
    }

    /**
     * Set rptItemName 统计项说明.
     */
    public void setRptItemName(String rptItemName){
        this.rptItemName = rptItemName;
    }

    /**
     * Get rptItemName 统计项说明.
     *
     * @return the string
     */
    public String getRptItemName(){
        return rptItemName;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set accountDate 统计会计日.
     */
    public void setAccountDate(Date accountDate){
        this.accountDate = accountDate;
    }

    /**
     * Get accountDate 统计会计日.
     *
     * @return the string
     */
    public Date getAccountDate(){
        return accountDate;
    }

    /**
     * Set amt 金额.
     */
    public void setAmt(BigDecimal amt){
        this.amt = amt;
    }

    /**
     * Get amt 金额.
     *
     * @return the string
     */
    public BigDecimal getAmt(){
        return amt;
    }
}
