package com.abssqr.plat.common.dal.mysql.auto.paging;

import com.abssqr.plat.common.dal.mysql.auto.paging.BasePage;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanCapitalLogDO;
import java.util.Date;

/**
 * The table ABS_PLAN_CAPITAL_LOG 计划资金交易流水
 */
public class PlanCapitalLogListPage extends BasePage<PlanCapitalLogDO>{

    /**
     * planNo 计划编号.
     */
    private String planNo;
    /**
     * transType 交易类型.
     */
    private String transType;
    /**
     * accountDate 交易日期（会计日）.
     */
    private Date accountDate;

    /**
     * Set planNo 计划编号.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 计划编号.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set transType 交易类型.
     */
    public void setTransType(String transType){
        this.transType = transType;
    }

    /**
     * Get transType 交易类型.
     *
     * @return the string
     */
    public String getTransType(){
        return transType;
    }

    /**
     * Set accountDate 交易日期（会计日）.
     */
    public void setAccountDate(Date accountDate){
        this.accountDate = accountDate;
    }

    /**
     * Get accountDate 交易日期（会计日）.
     *
     * @return the string
     */
    public Date getAccountDate(){
        return accountDate;
    }
}
