package com.abssqr.plat.common.dal.mysql.auto.resultmap;

import java.io.Serializable;
import java.util.Date;
import com.general.system.common.model.Money;


/**
 * The table AstPoolItem
 */
public class AstPoolItem  implements Serializable {

private static final long serialVersionUID = -1L;

    /**
     * dtId 待转ID.
     */
    private Long dtId;
    /**
     * status 资产状态.
     */
    private String status;
    /**
     * riskCl 资产五级分类.
     */
    private String riskCl;
    /**
     * astNo 内部资产ID.
     */
    private String astNo;
    /**
     * prodNo 产品.
     */
    private String prodNo;
    /**
     * termNo 期次.
     */
    private Integer termNo;
    /**
     * startDate 到期日.
     */
    private Date startDate;
    /**
     * endDate 到期日.
     */
    private Date endDate;
    /**
     * remainDays 剩余天数.
     */
    private Integer remainDays;
    /**
     * prinBal 本金余额.
     */
    private Money prinBal;
    /**
     * managerOrgCode 管理机构.
     */
    private String managerOrgCode;
    /**
     * lenderOrgCode 实际出资机构.
     */
    private String lenderOrgCode;
    /**
     * termCnt 期次.
     */
    private Integer termCnt;
    /**
     * context .
     */
    private String context;
    /**
     * slice .
     */
    private boolean slice;




    /**
     * Set dtId 待转ID.
     */
    public void setDtId(Long dtId){
        this.dtId = dtId;
    }

    /**
     * Get dtId 待转ID.
     *
     * @return the string
     */
    public Long getDtId(){
        return dtId;
    }

    /**
     * Set status 资产状态.
     */
    public void setStatus(String status){
        this.status = status;
    }

    /**
     * Get status 资产状态.
     *
     * @return the string
     */
    public String getStatus(){
        return status;
    }

    /**
     * Set riskCl 资产五级分类.
     */
    public void setRiskCl(String riskCl){
        this.riskCl = riskCl;
    }

    /**
     * Get riskCl 资产五级分类.
     *
     * @return the string
     */
    public String getRiskCl(){
        return riskCl;
    }

    /**
     * Set astNo 内部资产ID.
     */
    public void setAstNo(String astNo){
        this.astNo = astNo;
    }

    /**
     * Get astNo 内部资产ID.
     *
     * @return the string
     */
    public String getAstNo(){
        return astNo;
    }

    /**
     * Set prodNo 产品.
     */
    public void setProdNo(String prodNo){
        this.prodNo = prodNo;
    }

    /**
     * Get prodNo 产品.
     *
     * @return the string
     */
    public String getProdNo(){
        return prodNo;
    }

    /**
     * Set termNo 期次.
     */
    public void setTermNo(Integer termNo){
        this.termNo = termNo;
    }

    /**
     * Get termNo 期次.
     *
     * @return the string
     */
    public Integer getTermNo(){
        return termNo;
    }

    /**
     * Set startDate 到期日.
     */
    public void setStartDate(Date startDate){
        this.startDate = startDate;
    }

    /**
     * Get startDate 到期日.
     *
     * @return the string
     */
    public Date getStartDate(){
        return startDate;
    }

    /**
     * Set endDate 到期日.
     */
    public void setEndDate(Date endDate){
        this.endDate = endDate;
    }

    /**
     * Get endDate 到期日.
     *
     * @return the string
     */
    public Date getEndDate(){
        return endDate;
    }

    /**
     * Set remainDays 剩余天数.
     */
    public void setRemainDays(Integer remainDays){
        this.remainDays = remainDays;
    }

    /**
     * Get remainDays 剩余天数.
     *
     * @return the string
     */
    public Integer getRemainDays(){
        return remainDays;
    }

    /**
     * Set prinBal 本金余额.
     */
    public void setPrinBal(Money prinBal){
        this.prinBal = prinBal;
    }

    /**
     * Get prinBal 本金余额.
     *
     * @return the string
     */
    public Money getPrinBal(){
        return prinBal;
    }

    /**
     * Set managerOrgCode 管理机构.
     */
    public void setManagerOrgCode(String managerOrgCode){
        this.managerOrgCode = managerOrgCode;
    }

    /**
     * Get managerOrgCode 管理机构.
     *
     * @return the string
     */
    public String getManagerOrgCode(){
        return managerOrgCode;
    }

    /**
     * Set lenderOrgCode 实际出资机构.
     */
    public void setLenderOrgCode(String lenderOrgCode){
        this.lenderOrgCode = lenderOrgCode;
    }

    /**
     * Get lenderOrgCode 实际出资机构.
     *
     * @return the string
     */
    public String getLenderOrgCode(){
        return lenderOrgCode;
    }

    /**
     * Set termCnt 期次.
     */
    public void setTermCnt(Integer termCnt){
        this.termCnt = termCnt;
    }

    /**
     * Get termCnt 期次.
     *
     * @return the string
     */
    public Integer getTermCnt(){
        return termCnt;
    }

    /**
     * Set context .
     */
    public void setContext(String context){
        this.context = context;
    }

    /**
     * Get context .
     *
     * @return the string
     */
    public String getContext(){
        return context;
    }

    /**
     * Set slice .
     */
    public void setSlice(boolean slice){
        this.slice = slice;
    }

    /**
     * Get slice .
     *
     * @return the string
     */
    public boolean isSlice(){
        return slice;
    }



}
