package com.abssqr.plat.common.dal.mysql.auto.resultmap;

import java.io.Serializable;
import java.util.Date;
import com.general.system.common.model.Money;


/**
 * The table PlanClearingOrderItem
 */
public class PlanClearingOrderItem  implements Serializable {

private static final long serialVersionUID = -1L;

    /**
     * seqNo 流水号.
     */
    private String seqNo;
    /**
     * planNo 所属机构.
     */
    private String planNo;
    /**
     * transCode 事件码.
     */
    private String transCode;
    /**
     * cntPtyCode 交易对手.
     */
    private String cntPtyCode;
    /**
     * accountDate 会计日期.
     */
    private Date accountDate;
    /**
     * transAmt 发生额汇总.
     */
    private Money transAmt;
    /**
     * execTms 时间戳.
     */
    private String execTms;
    /**
     * transStatus 交易状态.
     */
    private String transStatus;




    /**
     * Set seqNo 流水号.
     */
    public void setSeqNo(String seqNo){
        this.seqNo = seqNo;
    }

    /**
     * Get seqNo 流水号.
     *
     * @return the string
     */
    public String getSeqNo(){
        return seqNo;
    }

    /**
     * Set planNo 所属机构.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 所属机构.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set transCode 事件码.
     */
    public void setTransCode(String transCode){
        this.transCode = transCode;
    }

    /**
     * Get transCode 事件码.
     *
     * @return the string
     */
    public String getTransCode(){
        return transCode;
    }

    /**
     * Set cntPtyCode 交易对手.
     */
    public void setCntPtyCode(String cntPtyCode){
        this.cntPtyCode = cntPtyCode;
    }

    /**
     * Get cntPtyCode 交易对手.
     *
     * @return the string
     */
    public String getCntPtyCode(){
        return cntPtyCode;
    }

    /**
     * Set accountDate 会计日期.
     */
    public void setAccountDate(Date accountDate){
        this.accountDate = accountDate;
    }

    /**
     * Get accountDate 会计日期.
     *
     * @return the string
     */
    public Date getAccountDate(){
        return accountDate;
    }

    /**
     * Set transAmt 发生额汇总.
     */
    public void setTransAmt(Money transAmt){
        this.transAmt = transAmt;
    }

    /**
     * Get transAmt 发生额汇总.
     *
     * @return the string
     */
    public Money getTransAmt(){
        return transAmt;
    }

    /**
     * Set execTms 时间戳.
     */
    public void setExecTms(String execTms){
        this.execTms = execTms;
    }

    /**
     * Get execTms 时间戳.
     *
     * @return the string
     */
    public String getExecTms(){
        return execTms;
    }

    /**
     * Set transStatus 交易状态.
     */
    public void setTransStatus(String transStatus){
        this.transStatus = transStatus;
    }

    /**
     * Get transStatus 交易状态.
     *
     * @return the string
     */
    public String getTransStatus(){
        return transStatus;
    }



}
