/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.param.plan.alloc;

import com.abssqr.plat.common.facade.base.BaseOprParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.validation.VldString;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.param.plan.alloc: PlanAllocQryParam.java, v 0.1 2019-06-03 14:27 bangis.wangdf Exp $
 */
public class PlanAllocQryParam extends BaseOprParam {
    
    private static final long serialVersionUID = 3108780740419779758L;
    @VldString(message = "计划编号不能为空")
    private String planNo;

    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_DTL_QRY;
    }

    public String getPlanNo() {
        return planNo;
    }

    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
}
