/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.result.analyse;

import com.general.system.common.model.BaseEntity;

import java.io.Serializable;
import java.util.List;

/**
 * 统计图结果
 * @author hanfei
 * @version $Id: AnalyseChartItemVO.java, v 0.1 2019-09-18 6:26 PM hanfei Exp $
 */
public class AnalyseChartResultVO extends BaseEntity implements Serializable {
    
    /**
     * 计划编号
     */
    private String planNo;
    /**
     * 计划名称
     */
    private String planName;
    /**
     * 单位
     */
    private String unit;
    
    /**
     * Y轴条目值
     */
    private List<AnalyseChartItemVO> items;
    
    public String getUnit() {
        return unit;
    }
    
    public void setUnit(String unit) {
        this.unit = unit;
    }
    
    public List<AnalyseChartItemVO> getItems() {
        return items;
    }
    
    public void setItems(List<AnalyseChartItemVO> items) {
        this.items = items;
    }
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public String getPlanName() {
        return planName;
    }
    
    public void setPlanName(String planName) {
        this.planName = planName;
    }
}
