/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.result.analyse;

import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 计算器默认值
 * @author hanfei
 * @version $Id: CalcFundDefaultParam.java, v 0.1 2019-09-19 6:49 PM hanfei Exp $
 */
public class CalcFundDefaultParam extends BaseEntity implements Serializable {
    
    /**
     * 计划编号
     */
    private String     planNo;
    /**
     * 日均放贷预计金额不能为空
     */
    private Money      grantAmt;
    /**
     * 当前剩余可用资金
     */
    private Money      ableBal;
    /**
     * 历史日回款率
     */
    private BigDecimal repayRate;
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public Money getGrantAmt() {
        return grantAmt;
    }
    
    public void setGrantAmt(Money grantAmt) {
        this.grantAmt = grantAmt;
    }
    
    public Money getAbleBal() {
        return ableBal;
    }
    
    public void setAbleBal(Money ableBal) {
        this.ableBal = ableBal;
    }
    
    public BigDecimal getRepayRate() {
        return repayRate;
    }
    
    public void setRepayRate(BigDecimal repayRate) {
        this.repayRate = repayRate;
    }
}
