package com.abssqr.plat.common.facade.result.astPool;

import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;

import java.io.Serializable;

public class AstPoolVO extends BaseEntity implements Serializable{
    //资产池名称
    private String astPoolName;
    //准入资产名称
    private String astTypeName;
    //准入资产代码
    private String prodNo;

    //合计资产剩余本金
    private Money astAmt;

    //合计资产剩余笔数
    private Money astCnt;

    //已打包资产剩余本金
    private Money packedAstAmt;
    //已打包资产剩余笔数
    private Money packedAstCnt;

    public String getAstPoolName() {
        return astPoolName;
    }

    public void setAstPoolName(String astPoolName) {
        this.astPoolName = astPoolName;
    }

    public String getAstTypeName() {
        return astTypeName;
    }

    public void setAstTypeName(String astTypeName) {
        this.astTypeName = astTypeName;
    }

    public String getProdNo() {
        return prodNo;
    }

    public void setProdNo(String prodNo) {
        this.prodNo = prodNo;
    }

    public Money getAstAmt() {
        return astAmt;
    }

    public void setAstAmt(Money astAmt) {
        this.astAmt = astAmt;
    }

    public Money getAstCnt() {
        return astCnt;
    }

    public void setAstCnt(Money astCnt) {
        this.astCnt = astCnt;
    }

    public Money getPackedAstAmt() {
        return packedAstAmt;
    }

    public void setPackedAstAmt(Money packedAstAmt) {
        this.packedAstAmt = packedAstAmt;
    }

    public Money getPackedAstCnt() {
        return packedAstCnt;
    }

    public void setPackedAstCnt(Money packedAstCnt) {
        this.packedAstCnt = packedAstCnt;
    }
}
