/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.result.pack;

import com.general.system.common.model.BaseEntity;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.result.pack: AstScreenRuleVO.java, v 0.1 2020-04-21 13:12 bangis.wangdf Exp $
 */
public class AstScreenRuleVO extends BaseEntity {
    private String ruleType;
    /**
     * leftValue 左值.
     */
    private String leftValue;
    /**
     * rightValue 右值.
     */
    private String rightValue;
    /**
     * leftCondition 左条件: 1.大于 GT 2.大于等于 GE.
     */
    private String leftCondition;
    /**
     * rightCondition 右条件: 1.小于 LT 2.小于等于 LE 3.等于 EQ 4.包含 IN.
     */
    private String rightCondition;

    public String getLeftValue() {
        return leftValue;
    }

    public void setLeftValue(String leftValue) {
        this.leftValue = leftValue;
    }

    public String getRightValue() {
        return rightValue;
    }

    public void setRightValue(String rightValue) {
        this.rightValue = rightValue;
    }

    public String getLeftCondition() {
        return leftCondition;
    }

    public void setLeftCondition(String leftCondition) {
        this.leftCondition = leftCondition;
    }

    public String getRightCondition() {
        return rightCondition;
    }

    public void setRightCondition(String rightCondition) {
        this.rightCondition = rightCondition;
    }

    public String getRuleType() {
        return ruleType;
    }

    public void setRuleType(String ruleType) {
        this.ruleType = ruleType;
    }
}
