--- !!com.abssqr.test.icase.Case
id: syncData_clear_case0004_${param.LOAN_ID!""}
desc: 线上异常处理${param.LOAN_ID!""}
context:

clearDBFiles:
    - case0004_${param.LOAN_ID!""}/clearDBFiles.yaml

## 初始化数据
initDBCsv:
<#list initDatas as data>
<#if data.result?size gt 0>
   ${data.tableName}: case0004_${param.LOAN_ID!""}/initDB/${data.tableName}.csv
<#else>
## ${data.tableName} 未获取到数据
</#if>
</#list>


checkDBCsv:
<#list checkDatas as data>
    - tableName: ${data.tableName}
      where:
<#list data.whereColums as column>
        ${column}: ${param["${column}"]}
</#list>
<#if data.orderColums??>
      order:
<#list data.whereColums as column>
        - ${column}
</#list>
</#if>
      csv: case0004_${param.LOAN_ID!""}/dataCheck/${data.tableName}.csv
</#list>

--- ## flag
true

### ProdEditParam
--- !!com.abssqr.plat.common.model.wk.domain.sync.WkMfsSyncCtr
<#list initDatas as data>
<#if  data.tableName == "WK_ABS_MFS_BILL_CTR" && data.result?size gt 0>
    <#list data.result as data>
orgNo: ${data.ORG_NO!}
absSyncDate: "${data.ABS_SYNC_DATE?string("yyyy-MM-dd")}"
loanId: ${param.LOAN_ID!""}
loanStatus: ${data.LOAN_STATUS!}
productId: ${data.PRODUCT_ID!}
productName: ${data.PRODUCT_NAME!}
    </#list>
</#if>
</#list>