/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.web.controller;

import com.abssqr.plat.common.facade.param.utility.PlanVaTaxCalcParam;
import com.general.enhanced.controller.annotation.RestJsonController;
import com.general.system.common.model.Money;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.endpoint.event.RefreshEvent;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.web.controller: RefreshController.java, v 0.1 2019-08-28 18:40 bangis.wangdf Exp $ 
 */
@RestJsonController
public class RefreshController {
    @Autowired
    private ConfigurableApplicationContext context;
    /**
     * 查询分配计划详情
     *
     * @param param
     * @return
     */
    @RequestMapping(path = "/bus/refresh", method = RequestMethod.GET)
    public Money refresh(PlanVaTaxCalcParam param) {
        context.publishEvent(new RefreshEvent("refresh","refresh","刷新配置"));
        return null;
    }
}
