/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.biz.shared.dispatcher;

import com.abssqr.plat.common.model.domain.task.DispatcherNode;

import java.util.List;

/**
 * @author zhenxuan.luo
 * @version $Id: DispatcherLoader.java, v 0.1 2017-06-30 下午18:25 zhenxuan.luo Exp $
 */
public interface DispatcherLoader<T extends DispatcherNode> {

    /**
     * 装载待分发节点
     *
     * @return
     */
    default List<T> loadToDoNodes(int size){
        return null;
    }

    default List<T> loadToDoNodes(TaskGroupService fistTaskGroupService,TaskGroupService spareTaskGroupService, int size) {
        return loadToDoNodes(size);
    }
}