package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import java.util.List;
import java.util.Date;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.DataForCheck;
import com.abssqr.plat.common.dal.mysql.auto.mapper.AbsDataCheckDOMapper;

/**
* The Table ABS_DATA_CHECK.
* 账户
*/
@Repository
public class AbsDataCheckDAO{

    @Autowired
    private AbsDataCheckDOMapper absDataCheckDOMapper;

    /**
     * desc:getDataForCheck.<br/>
     * @param acctDate acctDate
     * @param planNos planNos
     * @return List<DataForCheck>
     */
    
    public List<DataForCheck> getDataForCheck(Date acctDate,List<String> planNos){
    if(planNos!=null && planNos.size()>201){throw new RuntimeException("planNos 超出201长度限制");}
        return absDataCheckDOMapper.getDataForCheck(acctDate, planNos);
    }
}
