package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;
import java.math.BigDecimal;
import com.general.system.common.model.Money;

/**
 * The table ABS_LOAN_BAK
 */
public class LoanBakDO{

    /**
     * astNo .
     */
    private String astNo;
    /**
     * certNo .
     */
    private String certNo;
    /**
     * extInf 扩展信息.
     */
    private String extInf;
    /**
     * ownOrg .
     */
    private String ownOrg;
    /**
     * prodNo .
     */
    private String prodNo;
    /**
     * riskCl .
     */
    private String riskCl;
    /**
     * status .
     */
    private String status;
    /**
     * userId .
     */
    private String userId;
    /**
     * ownPack .
     */
    private String ownPack;
    /**
     * outAstNo .
     */
    private String outAstNo;
    /**
     * rateType .
     */
    private String rateType;
    /**
     * astStatus .
     */
    private String astStatus;
    /**
     * capitalNo 资金编号.
     */
    private String capitalNo;
    /**
     * layerName 投资结构名称.
     */
    private String layerName;
    /**
     * outProdNo .
     */
    private String outProdNo;
    /**
     * ownStatus .
     */
    private String ownStatus;
    /**
     * wtfStatus .
     */
    private String wtfStatus;
    /**
     * contractNo .
     */
    private String contractNo;
    /**
     * lastOwnOrg .
     */
    private String lastOwnOrg;
    /**
     * lenderOrgCode .
     */
    private String lenderOrgCode;
    /**
     * managerOrgCode .
     */
    private String managerOrgCode;
    /**
     * sponserOrgCode .
     */
    private String sponserOrgCode;
    /**
     * curTerm .
     */
    private Integer curTerm;
    /**
     * ovdDays .
     */
    private Integer ovdDays;
    /**
     * termCnt .
     */
    private Integer termCnt;
    /**
     * rateDays .
     */
    private Integer rateDays;
    /**
     * astOvdDays .
     */
    private Integer astOvdDays;
    /**
     * inDate .
     */
    private Date inDate;
    /**
     * bakDate .
     */
    private Date bakDate;
    /**
     * endDate .
     */
    private Date endDate;
    /**
     * disbDate .
     */
    private Date disbDate;
    /**
     * clearDate .
     */
    private Date clearDate;
    /**
     * gmtCreate .
     */
    private Date gmtCreate;
    /**
     * startDate .
     */
    private Date startDate;
    /**
     * gmtModified .
     */
    private Date gmtModified;
    /**
     * lastUpdateDate .
     */
    private Date lastUpdateDate;
    /**
     * rate .
     */
    private BigDecimal rate;
    /**
     * cost .
     */
    private Money cost;
    /**
     * feeBal .
     */
    private Money feeBal;
    /**
     * intrBal .
     */
    private Money intrBal;
    /**
     * prinBal .
     */
    private Money prinBal;
    /**
     * ovdFeeBal .
     */
    private Money ovdFeeBal;
    /**
     * ovdIntrBal .
     */
    private Money ovdIntrBal;
    /**
     * ovdPrinBal .
     */
    private Money ovdPrinBal;
    /**
     * paidFeeAmt .
     */
    private Money paidFeeAmt;
    /**
     * feePenalBal .
     */
    private Money feePenalBal;
    /**
     * otherFeeBal .
     */
    private Money otherFeeBal;
    /**
     * paidIntrAmt .
     */
    private Money paidIntrAmt;
    /**
     * paidPrinAmt .
     */
    private Money paidPrinAmt;
    /**
     * intrPenalBal .
     */
    private Money intrPenalBal;
    /**
     * prinPenalBal .
     */
    private Money prinPenalBal;
    /**
     * paidFeePenalAmt .
     */
    private Money paidFeePenalAmt;
    /**
     * paidOtherFeeAmt .
     */
    private Money paidOtherFeeAmt;
    /**
     * otherFeePenalBal .
     */
    private Money otherFeePenalBal;
    /**
     * paidIntrPenalAmt .
     */
    private Money paidIntrPenalAmt;
    /**
     * paidPrinPenalAmt .
     */
    private Money paidPrinPenalAmt;
    /**
     * paidOtherFeePenalAmt .
     */
    private Money paidOtherFeePenalAmt;

    /**
     * Set astNo .
     */
    public void setAstNo(String astNo){
        this.astNo = astNo;
    }

    /**
     * Get astNo .
     *
     * @return the string
     */
    public String getAstNo(){
        return astNo;
    }

    /**
     * Set certNo .
     */
    public void setCertNo(String certNo){
        this.certNo = certNo;
    }

    /**
     * Get certNo .
     *
     * @return the string
     */
    public String getCertNo(){
        return certNo;
    }

    /**
     * Set extInf 扩展信息.
     */
    public void setExtInf(String extInf){
        this.extInf = extInf;
    }

    /**
     * Get extInf 扩展信息.
     *
     * @return the string
     */
    public String getExtInf(){
        return extInf;
    }

    /**
     * Set ownOrg .
     */
    public void setOwnOrg(String ownOrg){
        this.ownOrg = ownOrg;
    }

    /**
     * Get ownOrg .
     *
     * @return the string
     */
    public String getOwnOrg(){
        return ownOrg;
    }

    /**
     * Set prodNo .
     */
    public void setProdNo(String prodNo){
        this.prodNo = prodNo;
    }

    /**
     * Get prodNo .
     *
     * @return the string
     */
    public String getProdNo(){
        return prodNo;
    }

    /**
     * Set riskCl .
     */
    public void setRiskCl(String riskCl){
        this.riskCl = riskCl;
    }

    /**
     * Get riskCl .
     *
     * @return the string
     */
    public String getRiskCl(){
        return riskCl;
    }

    /**
     * Set status .
     */
    public void setStatus(String status){
        this.status = status;
    }

    /**
     * Get status .
     *
     * @return the string
     */
    public String getStatus(){
        return status;
    }

    /**
     * Set userId .
     */
    public void setUserId(String userId){
        this.userId = userId;
    }

    /**
     * Get userId .
     *
     * @return the string
     */
    public String getUserId(){
        return userId;
    }

    /**
     * Set ownPack .
     */
    public void setOwnPack(String ownPack){
        this.ownPack = ownPack;
    }

    /**
     * Get ownPack .
     *
     * @return the string
     */
    public String getOwnPack(){
        return ownPack;
    }

    /**
     * Set outAstNo .
     */
    public void setOutAstNo(String outAstNo){
        this.outAstNo = outAstNo;
    }

    /**
     * Get outAstNo .
     *
     * @return the string
     */
    public String getOutAstNo(){
        return outAstNo;
    }

    /**
     * Set rateType .
     */
    public void setRateType(String rateType){
        this.rateType = rateType;
    }

    /**
     * Get rateType .
     *
     * @return the string
     */
    public String getRateType(){
        return rateType;
    }

    /**
     * Set astStatus .
     */
    public void setAstStatus(String astStatus){
        this.astStatus = astStatus;
    }

    /**
     * Get astStatus .
     *
     * @return the string
     */
    public String getAstStatus(){
        return astStatus;
    }

    /**
     * Set capitalNo 资金编号.
     */
    public void setCapitalNo(String capitalNo){
        this.capitalNo = capitalNo;
    }

    /**
     * Get capitalNo 资金编号.
     *
     * @return the string
     */
    public String getCapitalNo(){
        return capitalNo;
    }

    /**
     * Set layerName 投资结构名称.
     */
    public void setLayerName(String layerName){
        this.layerName = layerName;
    }

    /**
     * Get layerName 投资结构名称.
     *
     * @return the string
     */
    public String getLayerName(){
        return layerName;
    }

    /**
     * Set outProdNo .
     */
    public void setOutProdNo(String outProdNo){
        this.outProdNo = outProdNo;
    }

    /**
     * Get outProdNo .
     *
     * @return the string
     */
    public String getOutProdNo(){
        return outProdNo;
    }

    /**
     * Set ownStatus .
     */
    public void setOwnStatus(String ownStatus){
        this.ownStatus = ownStatus;
    }

    /**
     * Get ownStatus .
     *
     * @return the string
     */
    public String getOwnStatus(){
        return ownStatus;
    }

    /**
     * Set wtfStatus .
     */
    public void setWtfStatus(String wtfStatus){
        this.wtfStatus = wtfStatus;
    }

    /**
     * Get wtfStatus .
     *
     * @return the string
     */
    public String getWtfStatus(){
        return wtfStatus;
    }

    /**
     * Set contractNo .
     */
    public void setContractNo(String contractNo){
        this.contractNo = contractNo;
    }

    /**
     * Get contractNo .
     *
     * @return the string
     */
    public String getContractNo(){
        return contractNo;
    }

    /**
     * Set lastOwnOrg .
     */
    public void setLastOwnOrg(String lastOwnOrg){
        this.lastOwnOrg = lastOwnOrg;
    }

    /**
     * Get lastOwnOrg .
     *
     * @return the string
     */
    public String getLastOwnOrg(){
        return lastOwnOrg;
    }

    /**
     * Set lenderOrgCode .
     */
    public void setLenderOrgCode(String lenderOrgCode){
        this.lenderOrgCode = lenderOrgCode;
    }

    /**
     * Get lenderOrgCode .
     *
     * @return the string
     */
    public String getLenderOrgCode(){
        return lenderOrgCode;
    }

    /**
     * Set managerOrgCode .
     */
    public void setManagerOrgCode(String managerOrgCode){
        this.managerOrgCode = managerOrgCode;
    }

    /**
     * Get managerOrgCode .
     *
     * @return the string
     */
    public String getManagerOrgCode(){
        return managerOrgCode;
    }

    /**
     * Set sponserOrgCode .
     */
    public void setSponserOrgCode(String sponserOrgCode){
        this.sponserOrgCode = sponserOrgCode;
    }

    /**
     * Get sponserOrgCode .
     *
     * @return the string
     */
    public String getSponserOrgCode(){
        return sponserOrgCode;
    }

    /**
     * Set curTerm .
     */
    public void setCurTerm(Integer curTerm){
        this.curTerm = curTerm;
    }

    /**
     * Get curTerm .
     *
     * @return the string
     */
    public Integer getCurTerm(){
        return curTerm;
    }

    /**
     * Set ovdDays .
     */
    public void setOvdDays(Integer ovdDays){
        this.ovdDays = ovdDays;
    }

    /**
     * Get ovdDays .
     *
     * @return the string
     */
    public Integer getOvdDays(){
        return ovdDays;
    }

    /**
     * Set termCnt .
     */
    public void setTermCnt(Integer termCnt){
        this.termCnt = termCnt;
    }

    /**
     * Get termCnt .
     *
     * @return the string
     */
    public Integer getTermCnt(){
        return termCnt;
    }

    /**
     * Set rateDays .
     */
    public void setRateDays(Integer rateDays){
        this.rateDays = rateDays;
    }

    /**
     * Get rateDays .
     *
     * @return the string
     */
    public Integer getRateDays(){
        return rateDays;
    }

    /**
     * Set astOvdDays .
     */
    public void setAstOvdDays(Integer astOvdDays){
        this.astOvdDays = astOvdDays;
    }

    /**
     * Get astOvdDays .
     *
     * @return the string
     */
    public Integer getAstOvdDays(){
        return astOvdDays;
    }

    /**
     * Set inDate .
     */
    public void setInDate(Date inDate){
        this.inDate = inDate;
    }

    /**
     * Get inDate .
     *
     * @return the string
     */
    public Date getInDate(){
        return inDate;
    }

    /**
     * Set bakDate .
     */
    public void setBakDate(Date bakDate){
        this.bakDate = bakDate;
    }

    /**
     * Get bakDate .
     *
     * @return the string
     */
    public Date getBakDate(){
        return bakDate;
    }

    /**
     * Set endDate .
     */
    public void setEndDate(Date endDate){
        this.endDate = endDate;
    }

    /**
     * Get endDate .
     *
     * @return the string
     */
    public Date getEndDate(){
        return endDate;
    }

    /**
     * Set disbDate .
     */
    public void setDisbDate(Date disbDate){
        this.disbDate = disbDate;
    }

    /**
     * Get disbDate .
     *
     * @return the string
     */
    public Date getDisbDate(){
        return disbDate;
    }

    /**
     * Set clearDate .
     */
    public void setClearDate(Date clearDate){
        this.clearDate = clearDate;
    }

    /**
     * Get clearDate .
     *
     * @return the string
     */
    public Date getClearDate(){
        return clearDate;
    }

    /**
     * Set gmtCreate .
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate .
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set startDate .
     */
    public void setStartDate(Date startDate){
        this.startDate = startDate;
    }

    /**
     * Get startDate .
     *
     * @return the string
     */
    public Date getStartDate(){
        return startDate;
    }

    /**
     * Set gmtModified .
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified .
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * Set lastUpdateDate .
     */
    public void setLastUpdateDate(Date lastUpdateDate){
        this.lastUpdateDate = lastUpdateDate;
    }

    /**
     * Get lastUpdateDate .
     *
     * @return the string
     */
    public Date getLastUpdateDate(){
        return lastUpdateDate;
    }

    /**
     * Set rate .
     */
    public void setRate(BigDecimal rate){
        this.rate = rate;
    }

    /**
     * Get rate .
     *
     * @return the string
     */
    public BigDecimal getRate(){
        return rate;
    }

    /**
     * Set cost .
     */
    public void setCost(Money cost){
        this.cost = cost;
    }

    /**
     * Get cost .
     *
     * @return the string
     */
    public Money getCost(){
        if(cost==null){
            return new Money();
        }
        return cost;
    }

    /**
     * Set feeBal .
     */
    public void setFeeBal(Money feeBal){
        this.feeBal = feeBal;
    }

    /**
     * Get feeBal .
     *
     * @return the string
     */
    public Money getFeeBal(){
        if(feeBal==null){
            return new Money();
        }
        return feeBal;
    }

    /**
     * Set intrBal .
     */
    public void setIntrBal(Money intrBal){
        this.intrBal = intrBal;
    }

    /**
     * Get intrBal .
     *
     * @return the string
     */
    public Money getIntrBal(){
        if(intrBal==null){
            return new Money();
        }
        return intrBal;
    }

    /**
     * Set prinBal .
     */
    public void setPrinBal(Money prinBal){
        this.prinBal = prinBal;
    }

    /**
     * Get prinBal .
     *
     * @return the string
     */
    public Money getPrinBal(){
        if(prinBal==null){
            return new Money();
        }
        return prinBal;
    }

    /**
     * Set ovdFeeBal .
     */
    public void setOvdFeeBal(Money ovdFeeBal){
        this.ovdFeeBal = ovdFeeBal;
    }

    /**
     * Get ovdFeeBal .
     *
     * @return the string
     */
    public Money getOvdFeeBal(){
        if(ovdFeeBal==null){
            return new Money();
        }
        return ovdFeeBal;
    }

    /**
     * Set ovdIntrBal .
     */
    public void setOvdIntrBal(Money ovdIntrBal){
        this.ovdIntrBal = ovdIntrBal;
    }

    /**
     * Get ovdIntrBal .
     *
     * @return the string
     */
    public Money getOvdIntrBal(){
        if(ovdIntrBal==null){
            return new Money();
        }
        return ovdIntrBal;
    }

    /**
     * Set ovdPrinBal .
     */
    public void setOvdPrinBal(Money ovdPrinBal){
        this.ovdPrinBal = ovdPrinBal;
    }

    /**
     * Get ovdPrinBal .
     *
     * @return the string
     */
    public Money getOvdPrinBal(){
        if(ovdPrinBal==null){
            return new Money();
        }
        return ovdPrinBal;
    }

    /**
     * Set paidFeeAmt .
     */
    public void setPaidFeeAmt(Money paidFeeAmt){
        this.paidFeeAmt = paidFeeAmt;
    }

    /**
     * Get paidFeeAmt .
     *
     * @return the string
     */
    public Money getPaidFeeAmt(){
        if(paidFeeAmt==null){
            return new Money();
        }
        return paidFeeAmt;
    }

    /**
     * Set feePenalBal .
     */
    public void setFeePenalBal(Money feePenalBal){
        this.feePenalBal = feePenalBal;
    }

    /**
     * Get feePenalBal .
     *
     * @return the string
     */
    public Money getFeePenalBal(){
        if(feePenalBal==null){
            return new Money();
        }
        return feePenalBal;
    }

    /**
     * Set otherFeeBal .
     */
    public void setOtherFeeBal(Money otherFeeBal){
        this.otherFeeBal = otherFeeBal;
    }

    /**
     * Get otherFeeBal .
     *
     * @return the string
     */
    public Money getOtherFeeBal(){
        if(otherFeeBal==null){
            return new Money();
        }
        return otherFeeBal;
    }

    /**
     * Set paidIntrAmt .
     */
    public void setPaidIntrAmt(Money paidIntrAmt){
        this.paidIntrAmt = paidIntrAmt;
    }

    /**
     * Get paidIntrAmt .
     *
     * @return the string
     */
    public Money getPaidIntrAmt(){
        if(paidIntrAmt==null){
            return new Money();
        }
        return paidIntrAmt;
    }

    /**
     * Set paidPrinAmt .
     */
    public void setPaidPrinAmt(Money paidPrinAmt){
        this.paidPrinAmt = paidPrinAmt;
    }

    /**
     * Get paidPrinAmt .
     *
     * @return the string
     */
    public Money getPaidPrinAmt(){
        if(paidPrinAmt==null){
            return new Money();
        }
        return paidPrinAmt;
    }

    /**
     * Set intrPenalBal .
     */
    public void setIntrPenalBal(Money intrPenalBal){
        this.intrPenalBal = intrPenalBal;
    }

    /**
     * Get intrPenalBal .
     *
     * @return the string
     */
    public Money getIntrPenalBal(){
        if(intrPenalBal==null){
            return new Money();
        }
        return intrPenalBal;
    }

    /**
     * Set prinPenalBal .
     */
    public void setPrinPenalBal(Money prinPenalBal){
        this.prinPenalBal = prinPenalBal;
    }

    /**
     * Get prinPenalBal .
     *
     * @return the string
     */
    public Money getPrinPenalBal(){
        if(prinPenalBal==null){
            return new Money();
        }
        return prinPenalBal;
    }

    /**
     * Set paidFeePenalAmt .
     */
    public void setPaidFeePenalAmt(Money paidFeePenalAmt){
        this.paidFeePenalAmt = paidFeePenalAmt;
    }

    /**
     * Get paidFeePenalAmt .
     *
     * @return the string
     */
    public Money getPaidFeePenalAmt(){
        if(paidFeePenalAmt==null){
            return new Money();
        }
        return paidFeePenalAmt;
    }

    /**
     * Set paidOtherFeeAmt .
     */
    public void setPaidOtherFeeAmt(Money paidOtherFeeAmt){
        this.paidOtherFeeAmt = paidOtherFeeAmt;
    }

    /**
     * Get paidOtherFeeAmt .
     *
     * @return the string
     */
    public Money getPaidOtherFeeAmt(){
        if(paidOtherFeeAmt==null){
            return new Money();
        }
        return paidOtherFeeAmt;
    }

    /**
     * Set otherFeePenalBal .
     */
    public void setOtherFeePenalBal(Money otherFeePenalBal){
        this.otherFeePenalBal = otherFeePenalBal;
    }

    /**
     * Get otherFeePenalBal .
     *
     * @return the string
     */
    public Money getOtherFeePenalBal(){
        if(otherFeePenalBal==null){
            return new Money();
        }
        return otherFeePenalBal;
    }

    /**
     * Set paidIntrPenalAmt .
     */
    public void setPaidIntrPenalAmt(Money paidIntrPenalAmt){
        this.paidIntrPenalAmt = paidIntrPenalAmt;
    }

    /**
     * Get paidIntrPenalAmt .
     *
     * @return the string
     */
    public Money getPaidIntrPenalAmt(){
        if(paidIntrPenalAmt==null){
            return new Money();
        }
        return paidIntrPenalAmt;
    }

    /**
     * Set paidPrinPenalAmt .
     */
    public void setPaidPrinPenalAmt(Money paidPrinPenalAmt){
        this.paidPrinPenalAmt = paidPrinPenalAmt;
    }

    /**
     * Get paidPrinPenalAmt .
     *
     * @return the string
     */
    public Money getPaidPrinPenalAmt(){
        if(paidPrinPenalAmt==null){
            return new Money();
        }
        return paidPrinPenalAmt;
    }

    /**
     * Set paidOtherFeePenalAmt .
     */
    public void setPaidOtherFeePenalAmt(Money paidOtherFeePenalAmt){
        this.paidOtherFeePenalAmt = paidOtherFeePenalAmt;
    }

    /**
     * Get paidOtherFeePenalAmt .
     *
     * @return the string
     */
    public Money getPaidOtherFeePenalAmt(){
        if(paidOtherFeePenalAmt==null){
            return new Money();
        }
        return paidOtherFeePenalAmt;
    }
}
