package com.abssqr.plat.common.dal.mysql.auto.resultmap;

import java.io.Serializable;
import com.general.system.common.model.Money;


/**
 * The table DataForCheck
 */
public class DataForCheck  implements Serializable {

private static final long serialVersionUID = -1L;

    /**
     * ownOrg 归属机构.
     */
    private String ownOrg;
    /**
     * lenderOrgCode 原始权益机构.
     */
    private String lenderOrgCode;
    /**
     * fkCnt 放款Or转让数量.
     */
    private Long fkCnt;
    /**
     * fkAmt 放款Or转让金额.
     */
    private Money fkAmt;
    /**
     * repayCnt 还款数量.
     */
    private Long repayCnt;
    /**
     * prinAmt 还款本金.
     */
    private Money prinAmt;
    /**
     * intrAmt 还款利息.
     */
    private Money intrAmt;
    /**
     * prinPenalAmt 还款罚息.
     */
    private Money prinPenalAmt;
    /**
     * paidIntrFundAmt 五矿实收利息.
     */
    private Money paidIntrFundAmt;
    /**
     * paidPrinPenalFundAmt 五矿实收罚息.
     */
    private Money paidPrinPenalFundAmt;
    /**
     * clrgAmt 还款资金发生额.
     */
    private Money clrgAmt;
    /**
     * astCnt 剩余资产数量.
     */
    private Long astCnt;
    /**
     * astPrinBal 剩余资产本金.
     */
    private Money astPrinBal;
    /**
     * astIntrBal 剩余资产利息.
     */
    private Money astIntrBal;
    /**
     * astPrinPenalBal 剩余资产罚息.
     */
    private Money astPrinPenalBal;




    /**
     * Set ownOrg 归属机构.
     */
    public void setOwnOrg(String ownOrg){
        this.ownOrg = ownOrg;
    }

    /**
     * Get ownOrg 归属机构.
     *
     * @return the string
     */
    public String getOwnOrg(){
        return ownOrg;
    }

    /**
     * Set lenderOrgCode 原始权益机构.
     */
    public void setLenderOrgCode(String lenderOrgCode){
        this.lenderOrgCode = lenderOrgCode;
    }

    /**
     * Get lenderOrgCode 原始权益机构.
     *
     * @return the string
     */
    public String getLenderOrgCode(){
        return lenderOrgCode;
    }

    /**
     * Set fkCnt 放款Or转让数量.
     */
    public void setFkCnt(Long fkCnt){
        this.fkCnt = fkCnt;
    }

    /**
     * Get fkCnt 放款Or转让数量.
     *
     * @return the string
     */
    public Long getFkCnt(){
        return fkCnt;
    }

    /**
     * Set fkAmt 放款Or转让金额.
     */
    public void setFkAmt(Money fkAmt){
        this.fkAmt = fkAmt;
    }

    /**
     * Get fkAmt 放款Or转让金额.
     *
     * @return the string
     */
    public Money getFkAmt(){
        return fkAmt;
    }

    /**
     * Set repayCnt 还款数量.
     */
    public void setRepayCnt(Long repayCnt){
        this.repayCnt = repayCnt;
    }

    /**
     * Get repayCnt 还款数量.
     *
     * @return the string
     */
    public Long getRepayCnt(){
        return repayCnt;
    }

    /**
     * Set prinAmt 还款本金.
     */
    public void setPrinAmt(Money prinAmt){
        this.prinAmt = prinAmt;
    }

    /**
     * Get prinAmt 还款本金.
     *
     * @return the string
     */
    public Money getPrinAmt(){
        return prinAmt;
    }

    /**
     * Set intrAmt 还款利息.
     */
    public void setIntrAmt(Money intrAmt){
        this.intrAmt = intrAmt;
    }

    /**
     * Get intrAmt 还款利息.
     *
     * @return the string
     */
    public Money getIntrAmt(){
        return intrAmt;
    }

    /**
     * Set prinPenalAmt 还款罚息.
     */
    public void setPrinPenalAmt(Money prinPenalAmt){
        this.prinPenalAmt = prinPenalAmt;
    }

    /**
     * Get prinPenalAmt 还款罚息.
     *
     * @return the string
     */
    public Money getPrinPenalAmt(){
        return prinPenalAmt;
    }

    /**
     * Set paidIntrFundAmt 五矿实收利息.
     */
    public void setPaidIntrFundAmt(Money paidIntrFundAmt){
        this.paidIntrFundAmt = paidIntrFundAmt;
    }

    /**
     * Get paidIntrFundAmt 五矿实收利息.
     *
     * @return the string
     */
    public Money getPaidIntrFundAmt(){
        return paidIntrFundAmt;
    }

    /**
     * Set paidPrinPenalFundAmt 五矿实收罚息.
     */
    public void setPaidPrinPenalFundAmt(Money paidPrinPenalFundAmt){
        this.paidPrinPenalFundAmt = paidPrinPenalFundAmt;
    }

    /**
     * Get paidPrinPenalFundAmt 五矿实收罚息.
     *
     * @return the string
     */
    public Money getPaidPrinPenalFundAmt(){
        return paidPrinPenalFundAmt;
    }

    /**
     * Set clrgAmt 还款资金发生额.
     */
    public void setClrgAmt(Money clrgAmt){
        this.clrgAmt = clrgAmt;
    }

    /**
     * Get clrgAmt 还款资金发生额.
     *
     * @return the string
     */
    public Money getClrgAmt(){
        return clrgAmt;
    }

    /**
     * Set astCnt 剩余资产数量.
     */
    public void setAstCnt(Long astCnt){
        this.astCnt = astCnt;
    }

    /**
     * Get astCnt 剩余资产数量.
     *
     * @return the string
     */
    public Long getAstCnt(){
        return astCnt;
    }

    /**
     * Set astPrinBal 剩余资产本金.
     */
    public void setAstPrinBal(Money astPrinBal){
        this.astPrinBal = astPrinBal;
    }

    /**
     * Get astPrinBal 剩余资产本金.
     *
     * @return the string
     */
    public Money getAstPrinBal(){
        return astPrinBal;
    }

    /**
     * Set astIntrBal 剩余资产利息.
     */
    public void setAstIntrBal(Money astIntrBal){
        this.astIntrBal = astIntrBal;
    }

    /**
     * Get astIntrBal 剩余资产利息.
     *
     * @return the string
     */
    public Money getAstIntrBal(){
        return astIntrBal;
    }

    /**
     * Set astPrinPenalBal 剩余资产罚息.
     */
    public void setAstPrinPenalBal(Money astPrinPenalBal){
        this.astPrinPenalBal = astPrinPenalBal;
    }

    /**
     * Get astPrinPenalBal 剩余资产罚息.
     *
     * @return the string
     */
    public Money getAstPrinPenalBal(){
        return astPrinPenalBal;
    }



}
