package com.abssqr.plat.common.dal.mysql.auto.resultmap;

import java.io.Serializable;
import java.util.Date;
import com.general.system.common.model.Money;


/**
 * The table LoanClearingLogStat
 */
public class LoanClearingLogStat  implements Serializable {

private static final long serialVersionUID = -1L;

    /**
     * planNo 所属机构.
     */
    private String planNo;
    /**
     * transCode 事件码.
     */
    private String transCode;
    /**
     * accountDate 会计日期.
     */
    private Date accountDate;
    /**
     * cntPtyCode 交易对手.
     */
    private String cntPtyCode;
    /**
     * amt 本金发生额汇总.
     */
    private Money amt;
    /**
     * cnt 总笔数.
     */
    private Long cnt;
    /**
     * minId 最小值.
     */
    private Long minId;
    /**
     * maxId 最大值.
     */
    private Long maxId;




    /**
     * Set planNo 所属机构.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 所属机构.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set transCode 事件码.
     */
    public void setTransCode(String transCode){
        this.transCode = transCode;
    }

    /**
     * Get transCode 事件码.
     *
     * @return the string
     */
    public String getTransCode(){
        return transCode;
    }

    /**
     * Set accountDate 会计日期.
     */
    public void setAccountDate(Date accountDate){
        this.accountDate = accountDate;
    }

    /**
     * Get accountDate 会计日期.
     *
     * @return the string
     */
    public Date getAccountDate(){
        return accountDate;
    }

    /**
     * Set cntPtyCode 交易对手.
     */
    public void setCntPtyCode(String cntPtyCode){
        this.cntPtyCode = cntPtyCode;
    }

    /**
     * Get cntPtyCode 交易对手.
     *
     * @return the string
     */
    public String getCntPtyCode(){
        return cntPtyCode;
    }

    /**
     * Set amt 本金发生额汇总.
     */
    public void setAmt(Money amt){
        this.amt = amt;
    }

    /**
     * Get amt 本金发生额汇总.
     *
     * @return the string
     */
    public Money getAmt(){
        return amt;
    }

    /**
     * Set cnt 总笔数.
     */
    public void setCnt(Long cnt){
        this.cnt = cnt;
    }

    /**
     * Get cnt 总笔数.
     *
     * @return the string
     */
    public Long getCnt(){
        return cnt;
    }

    /**
     * Set minId 最小值.
     */
    public void setMinId(Long minId){
        this.minId = minId;
    }

    /**
     * Get minId 最小值.
     *
     * @return the string
     */
    public Long getMinId(){
        return minId;
    }

    /**
     * Set maxId 最大值.
     */
    public void setMaxId(Long maxId){
        this.maxId = maxId;
    }

    /**
     * Get maxId 最大值.
     *
     * @return the string
     */
    public Long getMaxId(){
        return maxId;
    }



}
