package com.abssqr.plat.common.dal.mysql.auto.resultmap;

import java.io.Serializable;
import java.util.Date;
import com.general.system.common.model.Money;


/**
 * The table PlanStatItem
 */
public class PlanStatItem  implements Serializable {

private static final long serialVersionUID = -1L;

    /**
     * planNo 所属机构.
     */
    private String planNo;
    /**
     * transCode 事件码.
     */
    private String transCode;
    /**
     * changeType 变化类型.
     */
    private String changeType;
    /**
     * traderType 交易角色.
     */
    private String traderType;
    /**
     * accountDate 会计日期.
     */
    private Date accountDate;
    /**
     * cashAmt 本金发生额汇总.
     */
    private Money cashAmt;
    /**
     * frozenCashAmt 冻结发生额汇总.
     */
    private Money frozenCashAmt;
    /**
     * cnt 总笔数.
     */
    private Long cnt;




    /**
     * Set planNo 所属机构.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 所属机构.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set transCode 事件码.
     */
    public void setTransCode(String transCode){
        this.transCode = transCode;
    }

    /**
     * Get transCode 事件码.
     *
     * @return the string
     */
    public String getTransCode(){
        return transCode;
    }

    /**
     * Set changeType 变化类型.
     */
    public void setChangeType(String changeType){
        this.changeType = changeType;
    }

    /**
     * Get changeType 变化类型.
     *
     * @return the string
     */
    public String getChangeType(){
        return changeType;
    }

    /**
     * Set traderType 交易角色.
     */
    public void setTraderType(String traderType){
        this.traderType = traderType;
    }

    /**
     * Get traderType 交易角色.
     *
     * @return the string
     */
    public String getTraderType(){
        return traderType;
    }

    /**
     * Set accountDate 会计日期.
     */
    public void setAccountDate(Date accountDate){
        this.accountDate = accountDate;
    }

    /**
     * Get accountDate 会计日期.
     *
     * @return the string
     */
    public Date getAccountDate(){
        return accountDate;
    }

    /**
     * Set cashAmt 本金发生额汇总.
     */
    public void setCashAmt(Money cashAmt){
        this.cashAmt = cashAmt;
    }

    /**
     * Get cashAmt 本金发生额汇总.
     *
     * @return the string
     */
    public Money getCashAmt(){
        return cashAmt;
    }

    /**
     * Set frozenCashAmt 冻结发生额汇总.
     */
    public void setFrozenCashAmt(Money frozenCashAmt){
        this.frozenCashAmt = frozenCashAmt;
    }

    /**
     * Get frozenCashAmt 冻结发生额汇总.
     *
     * @return the string
     */
    public Money getFrozenCashAmt(){
        return frozenCashAmt;
    }

    /**
     * Set cnt 总笔数.
     */
    public void setCnt(Long cnt){
        this.cnt = cnt;
    }

    /**
     * Get cnt 总笔数.
     *
     * @return the string
     */
    public Long getCnt(){
        return cnt;
    }



}
