/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.constants;

import java.math.BigDecimal;

/**
 *
 * @author zhenxuan.luo
 * @version $Id: AbssqrConstants.java, v 0.1 2017-06-30 上午11:33 zhenxuan.luo Exp $ 
 */
public interface AbssqrConstants {
	
    final static String YES_FLAG = "Y";

    final static String NO_FLAG  = "N";
    
    Integer DECIMAL_ROUNDING_MODE = BigDecimal.ROUND_HALF_UP;
    
    Integer DECIMAL_SCALE = 10;
    
    String DUMMY_PROD_CODE = "dummy";
    
    /**
     * 统计项默认值
     */
    String COMMON_VAL = "dummy";
    
    /**
     * 默认统计平均值日期区间长度
     */
    int AVG_SPARE = -30;
    
    /**
     * 百分比缩放单位
     */
    BigDecimal PERC_SCALER = new BigDecimal(100);
    
    /**
     * 系统自动用户
     */
    String DEFALUT_SYS_USER = "system_auto_000000";
    String DEFALUT_SYS_USER_NAME = "系统处理";
    
    
    /**
     * 逾期核销天数
     */
    int WTF_OVD_DAYS = 91;
}