/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.common.facade.model.report;

import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.enums.YNEnum;
import com.general.system.common.model.BaseEntity;

/**
 *
 * @author yangcheng
 * @version ReporterItemCodeKey.java, v0.12019-09-2714:27 yangchengExp$
 */
public class ReporterItemCodeKey extends BaseEntity {
    
    private String rptItemCode;
    
    /**
     * 受让池计划编号
     */
    private String        planNo;
    
    
    public ReporterItemCodeKey(String planNo, String rptItemCode) {
        this.planNo = planNo;
        this.rptItemCode = rptItemCode;
    }
    
    public String getRptItemCode() {
        return rptItemCode;
    }
    
    public void setRptItemCode(String rptItemCode) {
        this.rptItemCode = rptItemCode;
    }
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
}
