/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.model.report.manRpt;

import com.general.system.common.model.BaseEntity;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.model.report.manRpt: FeeRpt.java, v 0.1 2019-07-01 01:14 zhenxuan.luo Exp $
 */
public class FeeRpt extends BaseEntity implements Serializable {
    private static final long serialVersionUID = -3530352958773533764L;
    
    /**
     * 费用名称
     */
    private String     feeName;
    /**
     * 费用编号
     */
    private String     feeNo;
    /**
     * 科目编号
     */
    private String     titleNo;
    /**
     * 支出时间
     */
    private String     dt;
    /**
     * 费用金额
     */
    private BigDecimal feeAmt  = BigDecimal.ZERO;
    /**
     * 增值税金额
     */
    private BigDecimal vtaxAmt = BigDecimal.ZERO;
    /**
     * 备注
     */
    private String     memo;
    
    public String getFeeName() {
        return feeName;
    }
    
    public void setFeeName(String feeName) {
        this.feeName = feeName;
    }
    
    public String getFeeNo() {
        return feeNo;
    }
    
    public void setFeeNo(String feeNo) {
        this.feeNo = feeNo;
    }
    
    public String getTitleNo() {
        return titleNo;
    }
    
    public void setTitleNo(String titleNo) {
        this.titleNo = titleNo;
    }
    
    public String getDt() {
        return dt;
    }
    
    public void setDt(String dt) {
        this.dt = dt;
    }
    
    public BigDecimal getFeeAmt() {
        return feeAmt;
    }
    
    public void setFeeAmt(BigDecimal feeAmt) {
        this.feeAmt = feeAmt;
    }
    
    public BigDecimal getVtaxAmt() {
        return vtaxAmt;
    }
    
    public void setVtaxAmt(BigDecimal vtaxAmt) {
        this.vtaxAmt = vtaxAmt;
    }
    
    public String getMemo() {
        return memo;
    }
    
    public void setMemo(String memo) {
        this.memo = memo;
    }
}