/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.param.plan.log;

import com.abssqr.plat.common.facade.enums.PlanCapitalTransTypeEnum;
import com.abssqr.plat.common.facade.param.base.CommonPlanPageQryParam;
import com.abssqr.plat.common.facade.validation.VldDate;
import com.abssqr.plat.common.facade.validation.VldEnums;

import java.util.Date;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.param.plan.log: PlanCapitalLogPageQryParam.java, v 0.1 2019-05-28 17:50 zhenxuan.luo Exp $
 */
public class PlanCapitalLogPageQryParam extends CommonPlanPageQryParam {
    private static final long serialVersionUID = 2578688245878650716L;
    
    @VldEnums(nullable = true, enumClass = PlanCapitalTransTypeEnum.class, message = "交易类型传入非法")
    private String transType;
    
    @VldDate(nullable = true)
    private Date accountDate;
    
    public String getTransType() {
        return transType;
    }
    
    public void setTransType(String transType) {
        this.transType = transType;
    }
    
    public Date getAccountDate() {
        return accountDate;
    }
    
    public void setAccountDate(Date accountDate) {
        this.accountDate = accountDate;
    }
}