/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */

package com.abssqr.plat.common.facade.param.plan.priceRule;

import com.abssqr.plat.common.facade.base.BaseParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.validation.VldString;

/**
 *
 * @author xiachenxiang
 * @version com.abssqr.plat.common.facade.param.plan.priceRule: PriceQryParam.java, v 0.1 2019-11-11 4:26 PM xiachenxiang Exp $ 
 */
public class PriceQryParam extends BaseParam {

    @VldString(message = "计划编号不能为空")
    private String planNo;

    /**
     * 是否是工单
     */
    private Boolean work = false;

    public String getPlanNo() {
        return planNo;
    }

    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }

    public Boolean getWork() {
        return work;
    }

    public void setWork(Boolean work) {
        this.work = work;
    }


    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_DTL_QRY;
    }
}
