/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.common.facade.result.workOrder;

import com.general.system.common.model.BaseEntity;

import java.io.Serializable;

/**
 *
 * @author yangcheng
 * @version WorkOrderListVo.java, v0.12019-06-1010:50 yangchengExp$
 */
public class WorkOrderVo extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 3540034635146665479L;
    
    /**
     * applyUserName 申请人.
     */
    private String applyUserName;
    /**
     * 当前办理人
     */
    private String assigneeName;
    /**
     * workOrdCode 工单编号.
     */
    private String workOrdCode;
    /**
     * workOrdName 工单名称.
     */
    private String workOrdName;
    /**
     * 业务唯一标识
     */
    private String businessKey;
    /**
     * 业务类型
     */
    private String businessType;
    /**
     * gmtCreate 任务开始时间.
     */
    private String   gmtCreate;
    /**
     * currentApprovalNode 当前审批节点.
     */
    private String currentApprovalNode;
    /**
     * currentApprovalCode 审批状态.
     */
    private String currentApprovalStatus;
    /**
     * gmtCreate 结束时间.
     */
    private String   gmtEnd;
    

    public String getApplyUserName() {
        return applyUserName;
    }
    
    public void setApplyUserName(String applyUserName) {
        this.applyUserName = applyUserName;
    }
    
    public String getAssigneeName() {
        return assigneeName;
    }
    
    public void setAssigneeName(String assigneeName) {
        this.assigneeName = assigneeName;
    }
    
    public String getWorkOrdCode() {
        return workOrdCode;
    }
    
    public void setWorkOrdCode(String workOrdCode) {
        this.workOrdCode = workOrdCode;
    }
    
    public String getWorkOrdName() {
        return workOrdName;
    }
    
    public void setWorkOrdName(String workOrdName) {
        this.workOrdName = workOrdName;
    }
    
    public String getBusinessKey() {
        return businessKey;
    }
    
    public void setBusinessKey(String businessKey) {
        this.businessKey = businessKey;
    }
    
    public String getGmtCreate() {
        return gmtCreate;
    }
    
    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    
    public String getCurrentApprovalNode() {
        return currentApprovalNode;
    }
    
    public void setCurrentApprovalNode(String currentApprovalNode) {
        this.currentApprovalNode = currentApprovalNode;
    }
    
    public String getCurrentApprovalStatus() {
        return currentApprovalStatus;
    }
    
    public void setCurrentApprovalStatus(String currentApprovalStatus) {
        this.currentApprovalStatus = currentApprovalStatus;
    }
    
    public String getGmtEnd() {
        return gmtEnd;
    }
    
    public void setGmtEnd(String gmtEnd) {
        this.gmtEnd = gmtEnd;
    }
    
    public String getBusinessType() {
        return businessType;
    }
    
    public void setBusinessType(String businessType) {
        this.businessType = businessType;
    }
}
