/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.common.model.domain.task;

import com.abssqr.plat.common.facade.enums.CommonTaskTypeEnum;

/**
 *  通用的任务
 *
 * @author guozhenhua
 * @version com.abssqr.plat.common.model.repo.task: CommonTask.java, v 0.1 2018-03-23 下午4:57 guozhenhua Exp $ 
 */
public class CommonTask extends DispatcherNode {
    
    private Long   id;
    /**
     * bizNo 业务编号.
     */
    private String bizNo;
    
    /**
     * taskType 任务类型
     */
    private CommonTaskTypeEnum taskType;
    
    /**
     * context 上下文.
     */
    private String context;
    
    private String env;
    
    private String memo;

    private Object extObj;
    
    public Long getId() {
        return id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }
    
    public String getContext() {
        return context;
    }
    
    public void setContext(String context) {
        this.context = context;
    }
    
    public String getBizNo() {
        return bizNo;
    }
    
    public void setBizNo(String bizNo) {
        this.bizNo = bizNo;
    }
    
    public CommonTaskTypeEnum getTaskType() {
        return taskType;
    }
    
    public void setTaskType(CommonTaskTypeEnum taskType) {
        this.taskType = taskType;
    }
    
    public String getEnv() {
        return env;
    }
    
    public void setEnv(String env) {
        this.env = env;
    }
    
    public String getMemo() {
        return memo;
    }
    
    public void setMemo(String memo) {
        this.memo = memo;
    }

    public Object getExtObj() {
        return extObj;
    }

    public void setExtObj(Object extObj) {
        this.extObj = extObj;
    }

    @Override
    public boolean needTrans() {
        if(super.needTrans()==false){
            return false;
        }
       return taskType.isNeedTrans();
    }
}
