/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.model.exception;

import com.abssqr.plat.common.facade.enums.CommonErrorCodeEnum;

/**
 * 系统异常定义
 *
 * @author zhenxuan.luo
 * @version $Id: AbssqrDBException.java, v 0.1 2017-06-06 上午11:33 zhenxuan.luo Exp $ 
 */
public class AbssqrSystemException extends AbssqrBaseException {
    private static final long                serialVersionUID = -8924254981488779802L;
    
    public AbssqrSystemException(String message, Throwable e) {
        super(message, e);
        this.errCode = CommonErrorCodeEnum.SYS_ERROR;
        this.isCanRetry = true;
    }
    
    public AbssqrSystemException(String message) {
        this(message, null);
    }
}