/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.repo.plan;

import com.abssqr.plat.common.dal.mysql.auto.paging.PlanCapitalLogListPage;
import com.abssqr.plat.common.facade.model.plan.PlanCapitalLog;
import com.abssqr.plat.common.facade.param.plan.log.PlanCapitalLogPageQryParam;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.repo.plan: PlanCapitalLogRepo.java, v 0.1 2019-05-28 17:22 zhenxuan.luo Exp $ 
 */
public interface PlanCapitalLogRepo {
    
    /**
     * 新增
     *
     * @param entity
     * @return
     */
    int insert(PlanCapitalLog entity);
    
    /**
     * 根据计划编号获取计划资金交易流水
     * @param param
     * @return
     */
    PlanCapitalLogListPage getByPlanNo(PlanCapitalLogPageQryParam param);
    
    /**
     * 根据流水号获取详情
     * @param seqNo
     * @param planNo
     * @return
     */
    PlanCapitalLog getBySeqNo(String seqNo, String planNo);
}