/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.repo.report;

import com.abssqr.plat.common.dal.mysql.auto.resultmap.PlanAstReportStat;
import com.abssqr.plat.common.facade.model.report.ReportEntity;

import java.util.Date;
import java.util.List;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.repo.report: ReportEntityRepo.java, v 0.1 2019-06-22 18:46 zhenxuan.luo Exp $ 
 */
public interface PlanReportEntityRepo {
    
    int insertBatch(List<ReportEntity> list);
    
    List<PlanAstReportStat> statBal(Date accountDate, String planNo);
    
    List<PlanAstReportStat> statAmt(Date accountDate, String planNo);
    
    List<PlanAstReportStat> statAccrued(Date accountDate,String planNo);
    
    int delete(Date accountDate, String planNo);
    
}